Skip to content

Prototype Pollution in node-forge

high severity Published Sep 14, 2020 • Updated Jul 29, 2021

Package

npm node-forge (npm)

Affected versions

< 0.10.0

Patched versions

0.10.0

Description

The package node-forge before 0.10.0 is vulnerable to Prototype Pollution via the util.setPath function. Note: Version 0.10.0 is a breaking change removing the vulnerable functions.

References

CVE ID

CVE-2020-7720

CVSS Score

8.8 High
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H/E:P/RL:O/RC:C